KADU(1)

NAME
kadu-config - script to get information about the installed version of kadu

SYNOPSIS
kadu-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags] [--data-dir] [--modules-dir] [--qt-moc-dir]

DESCRIPTION
kadu-config is a tool for retrieving the library/include paths kadu was compiled with. Useful for folks compiling their own Kadu modules outside the main source tree.

kadu-config is based on xmms-config from the XMMS package.

OPTIONS
kadu-config accepts the following options:

--prefix[=DIR]
    If specified, use DIR instead of the installation prefix that kadu was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix[=DIR]
    If specified, use DIR instead of the installation exec prefix that kadu was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

--version
    Print the currently installed version of kadu on the standard output.

--libs
    Print the linker flags that are necessary to link kadu to a program.

--cflags
    Print the compiler flags that are necessary to compile a program that uses kadu.

--data-dir
    Print the directory that the kadu's icons, emoticons and sounds themes are installed in.

--modules-dir
    Print the directory that the kadu's modules keep their description and data files.

--qt-moc-dir
    Print the directory that the Qt's moc compiler is installed in.

AUTHOR
kadu was written by Kadu Team (see /usr/share/kadu/doc/AUTHORS file for details).

Copyright (C) 2007, 2008 Patryk Cisek <patryk@debian.org>

This manual page was written by Patryk Cisek <patryk@debian.org> for the Debian project, based heavily on the xmms-config manual by Christopher Martin <chrsmrtn@debian.org> and may be used by others. This manual may be distributed under the terms of GPL license version 2, or (at your opinion) any later version. On Debian GNU/Linux system, the complete text of the GNU General Public License can be found in `/usr/share/common-licenses/GPL'. If you're not using Debian, you may also find full text of the license at http://www.gnu.org/licenses/.